### Description

Send custom invoices, password reset links, order status updates, and much more, with MailerSend. By integrating MailerSend with your WooCommerce store, you will:
* Improve email deliverability
* Maintain domain reputation
* Grow your brand’s identity
* Learn more about your recipients

### Deliverability
Improve your inbox performance and give your business a boost by leaving email sending to MailerSend. After a decade of email delivery experience, MailerSend’s deliverability experts understand what it takes to avoid spam filters, stay off blocklists and lower bounce rates.

### Domain reputation
Keep your domain reputation safe with MailerSend’s email authentication practices. Give your customers the confidence that they’re interacting with an established brand, and let MailerSend manage the emails that could potentially damage your reputation.

### Grow your brand
Choose from a drag & drop builder, HTML editor or rich-text editor to create beautiful email templates that reflect your brand. Then insert WooCommerce variables and dynamic data in your templates to send detailed and personalized emails to your customers.

### Analytics
Understand what happens after an email gets sent. Gather analytical data, learn which recipients unsubscribe and why, and—most importantly—gain insights into why emails bounce and sync your recipient list to your newsletter.

## Features
* Avoid spam filters, prevent blocklisting, and lower hard bounce rates with powerful sending infrastructure
* Grow your brand with professionally-designed responsive templates
* Create templates with a drag & drop editor or rich-text editor without coding
* Increase sales by personalizing emails with your unique brand identity
* Automate the customer experience by connecting to thousands of other apps with Zapier!
* Get instant push updates with webhooks
* Receive customer replies sent to your domain with an inbound route feature
* Monitor all email interactions such as opens, clicks, open locations and devices. Plus, use your own subdomain for your custom tracking link!

## How to send transactional emails quickly
* Install and activate the MailerSend plugin.
* Add your [API token](https://www.mailersend.com/help/managing-api-tokens) from MailerSend to establish the connection.
* Create [custom templates[(https://www.mailersend.com/help/how-to-create-a-template) that showcase your brand and add the template ID to each WooCommerce email.
* Use [variables](https://www.mailersend.com/help/how-to-start-sending-emails#personalization) to personalize your templates with recipient names, order numbers, and much more.
* Test your templates to make sure they’re consistent and engaging!

## Support
Get help whenever you need it! [Contact us](https://www.mailersend.com/contact-us) or just drop a message via live chat in the app. MailerSend’s dedicated support team works around the clock because transactional emails never stop.


## Frequently Asked Questions

#### Requirements

* Requires at least PHP 7.4 and WooCommerce 5.1.

#### How do I set up automatic transactional emails?

Simply create a MailerSend account, create an API token for your domain, and add it to your plugin! You can now focus on creating beautiful templates tailored to your brand and let MailerSend take care of the rest.

#### What do I need to get started?

To send emails, you only need a MailerSend account with a verified domain.

#### Can you add a new feature to this plugin?

We’re open to suggestions and feedback to improve the plugin. You might see your request in a future version! Talk to us here.

#### Why use MailerSend rather than the emails in WooCommerce?

WooCommerce uses its own native system to send order notifications, but sometimes emails can end up in the spam folder or get delayed. MailerSend takes care of your domain reputation so your emails reach your customers safely. Plus, you get a dashboard that shows you important data about your emails and how their performance can be improved.

#### Is this plugin free?

Yes! And you can send up to 12,000 emails/month with MailerSend for free as well. For a higher volume of emails, you can pick from pay-as-you-go plans without long-term commitments. Premium plans start from $25/month for 50,000 emails/month.

## Installation

The installation and configuration of the plugin is as simple as it can be.

### Using The WordPress Dashboard

1. Navigate to the 'Add New' in the plugins dashboard
2. Search for 'mailersend'
3. Click 'Install Now'
4. Activate the plugin on the Plugin dashboard

### Uploading in WordPress Dashboard

1. Navigate to the 'Add New' in the plugins dashboard
2. Navigate to the 'Upload' area
3. Select the plugin zip file from your computer
4. Click 'Install Now'
5. Activate the plugin in the Plugin dashboard

### Using FTP

1. Download the plugin
2. Extract the directory to your computer
3. Upload the directory to the `/wp-content/plugins/` directory
4. Activate the plugin in the Plugin dashboard